%global pname hid-parser

Name:           python-hid-parser
Version:        0.0.3
Release:        1%{?dist}
Summary:        Parse HID report descriptors
License:        MIT
URL:            https://github.com/FFY00/python-hid-parser
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(pip)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(wheel)
# for tests
BuildRequires:  python3dist(hypothesis)
BuildRequires:  python3dist(pytest)

%global _desc %{expand:
python-hid-parser is a typed pure Python library to parse HID report
descriptors.
}

%description %_desc

%package     -n python3-%{pname}
Summary:        %{summary}

%description -n python3-%{pname} %_desc

%prep
%autosetup

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files hid_parser

%check
%pytest

%files -n python3-%{pname} -f %{pyproject_files}
%doc README.md
%license LICENSE

%changelog
* Fri Jan 06 2023 Dominik Mierzejewski <dominik@greysector.net> - 0.0.3-1
- initial build for Fedora
